Bug 498239 - Workspace Switcher refuses to display more than one workspace
Workspace Switcher refuses to display more than one workspace
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 10:57 EDT by Marc Milgram
Modified: 2009-12-18 04:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Milgram 2009-04-29 10:57:24 EDT
Description of problem:
Sometimes Workspace Switcher will only display one workspace.  Setting the preferences in Workspace Switcher for the number of work spaces will not change the number of workspaces.  Every time when opening the preferences, it lists Number of Workspaces as 1.

Version-Release number of selected component (if applicable):
Workspace Switcher 2.24.3
gnome-applets-2.24.3.1-1.fc10.i386
metacity-2.24.0-2.fc10.i386


How reproducible:
About 1/2 the time.  Randomly some time after logging in.  Once it happens, I can only fix the situation by logging out and logging back in.

Steps to Reproduce:
1. Select Workspace switcher preferences
2. Increase the number of workspaces to > 1 (ie. to 4)
3. Close the prefrences window
  
Actual results:
Workspace switcher displays 1 workspace

Expected results:
Displays selected number of workspaces

Additional info:
This only affects one of my workstations - the others are OK.
Comment 1 Ilkka Karasalo 2009-05-14 02:11:31 EDT
I have the same problem on my FC10-X86_64 installed yesterday. On
my system it is always reproducible. My release numbers are identical
to Marc's, but with i386 replaced by x86_64.  

I installed FC10 from the distribution DVD ISO image, and then updated
it with 'yum update'. The problem appeared after the update, i.e. the 
workspace switcher version on the distribution DVD worked OK.  

Perhaps a quick workaround is to downdate to the original version ?
In that case, what is the simplest way to do that ?
Comment 2 Kia 2009-05-27 10:46:50 EDT
I had the same problem as above, but the latest 'yum update' I did (May 27,2009) resolved my problem. Now Workspace Switcher 2.24.3 works fine.
Comment 3 Petr Sklenar 2009-07-07 04:38:10 EDT
same for my workstation
I have:
Workspace Switcher 2.24.3
Comment 4 Ying-Jer Kao 2009-07-16 22:21:48 EDT
Same for my desktop
kernel 2.6.27.25-170.2.72.fc10.x86_64 
gnome-applets-2.24.3.1-1.fc10.x86_64
Workspace Switcher 2.24.3
100% reproducible
Comment 5 Bug Zapper 2009-11-18 06:52:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:22:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.